org.apache.calcite.avatica

## Class MetaImpl.MetaVersionColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaVersionColumn

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaVersionColumn
    extends Object

Metadata describing a version column.

### Field Summary

Fields
`Integer` `bufferLength`
`String` `columnName`
`Integer` `columnSize`
`int` `dataType`
`Short` `decimalDigits`
`short` `pseudoColumn`
`Short` `scope`
`String` `typeName`

### Constructor Summary

Constructors
Constructor and Description
`MetaVersionColumn(Short scope, String columnName, int dataType, String typeName, Integer columnSize, Integer bufferLength, Short decimalDigits, short pseudoColumn)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### scope

    public final Short scope

#### columnName

    public final String columnName

#### dataType

    public final int dataType

#### typeName

    public final String typeName

#### columnSize

    public final Integer columnSize

#### bufferLength

    public final Integer bufferLength

#### decimalDigits

    public final Short decimalDigits

#### pseudoColumn

    public final short pseudoColumn

### Constructor Detail

#### MetaVersionColumn

    MetaVersionColumn(Short scope,
                      String columnName,
                      int dataType,
                      String typeName,
                      Integer columnSize,
                      Integer bufferLength,
                      Short decimalDigits,
                      short pseudoColumn)